/*/
Main color: #5BAC29
*/
/* Custom Rules */
html, body{
    height: 100%;
}
body {
    padding-top: 50px;
    font-size: 14px;
}
.hover{
    cursor:pointer;
}
.hide{
    display:none;
}
.inline{
    display:inline!important;
}
.bg-white{
    background:#fff;
}
.color-fff{
    color:#fff;
}
.color-888{
    color:#888!important;
}
.color-999{
    color:#999!important;
}
.font12{
  font-size:12px;
}
.font14{
  font-size:14px!important;
}
.font18{
  font-size:18px!important;
}
.font20{
  font-size:20px!important;
}
.clear{
  clear:both;
}

.flex{
    display: flex;
}

.flex--center{
    align-items: center;
    justify-content: center;
}

.flex--column{
    flex-direction: column;
}

.flex--align-center{
    align-items: center;
}

.flex--justify-right{
    justify-content: right;
}

.flex--justify-between{
    justify-content: space-between;
}

.flex--justify-around{
    justify-content: space-around;
}

.m0{
    margin:0px!important;
}
.mt0{
    margin-top:0px!important;
}
.mt5{
    margin-top:5px;
}
.mt10{
    margin-top:10px;
}
.mt15{
    margin-top:15px;
}
.mt20{
    margin-top:20px;
}
.mt25{
    margin-top:25px;
}
.mr5{
    margin-right:5px;
}
.mr10{
    margin-right:10px;
}
.mr15{
    margin-right:15px;
}
.mb0{
    margin-bottom:0px;
}
.mb2{
    margin-bottom:2px;
}
.mb5{
    margin-bottom:5px;
}
.mb10{
    margin-bottom:10px;
}
.mb15{
    margin-bottom:15px!important;
}
.mb20{
    margin-bottom:20px;
}
.mb30{
    margin-bottom:30px;
}
.p0{
    padding:0px;
}
.p8{
    padding:8px;
}
.p15{
    padding:15px;
}
.pt0{
    padding-top:0px !important;
}
.pb0{
    padding-bottom:0px !important;
}
.pt3{
    padding-top:3px;
}
.pt5{
    padding-top:5px;
}
.pt10{
    padding-top:10px;
}
.pl10{
    padding-left:10px!important;
}
.pl15{
    padding-left:15px!important;
}
.pr20{
    padding-right: 20px;
}
.b0{
    border:none;
}
.br50{
    border-radius: 50%;
}
.full-width{
    width:100%;
}
.mid-width{
    width:50%;
}
.block{
    display:block;
}
.uppercase{
    text-transform:uppercase;
}
.center{
    margin:0 auto;
}
.no-link, .no-link:hover, .no-link:active, .no-link:focus, .no-link:visited{
    color:#fff;
    text-decoration:none;
    cursor:pointer;
}
.form-inline{
    display:inline;
    margin-bottom: 0px;
}
.alert{
    font-size:12px;
    margin:0px;
    margin-top:10px;
}
#mask{
    position: fixed;
    top: 0;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.40);
    display:none;
}
.required{
    font-size: 12px;
    font-weight: normal;
    color: #f00;
}
.bold{
    font-weight:bold;
}
.has-error{
    border: 1px solid #da9191;
    background: #f7dddd;
}
.cstm-btn, .cstm-btn:hover, .cstm-btn:focus, .cstm-btn:active{
    color: #fff;
    background: #5BAC29;
    border: 1px solid #5BAC29;
}
.cstm-btn-inverted{
    color: #5BAC29;
    background: none;
    border: none;
}
.modal-title{
    color: #5bac29;
}
.modal-subtitle{
    margin: 0;
    margin-top: 5px;
    color: #999;
    font-size: 14px;
}
/* Navbar */
#menu-bars{
    padding: 15px;
    cursor: pointer;
    margin-left: -15px;
}
#menu-bars:active{
    background-image: none;
    outline: 0;
    -webkit-box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
    box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
}
#menu-close{
    padding: 15px;
    color: #fff;
}
.logo-font:hover{
    color:#777;
}
.bold{
  font-weight:bold;
}
.separator{
    display: block;
    border-bottom: 1px solid #eee;
    margin: 10px 0;
}
.table-hover tr{
    cursor:pointer;
}
.table-content{
    display:table;
    width:100%;
    border:1px solid #e5e5e5;
    border-bottom:none;
    border-radius:2px;
}
.table-row{
    display:table-row;
}
.table-cell{
    display:table-cell;
    padding:10px;
    border-bottom:1px solid #e5e5e5;
}
.table-cell.object-field{
    width:80%;
}
.table-cell.object-field.department-field{
    width:60%;
}
.table-cell.object-field.department-code-field{
    width:20%;
}
.table-cell.actions{
    width:20%;
    text-align:right;
}
.table-cell.edit-actions{
    width:20%;
    text-align:right;
    display:none;
}
.table-cell.edit-actions.active, .table-cell.actions.active{
    display:table-cell!important;
}
.add-element-option-block{
    padding: 5px;
    border: 1px solid #e5e5e5;
    border-top: none;
    text-align: center;
}
/** Bootstrap Mods **/
body{
    background-color:#FAFAFA;
    font-family: 'Roboto', sans-serif;
}

textarea{
    border-radius: 4px ;
    -webkit-border-radius: 4px ;
    -moz-border-radius: 4px ;
    -ms-border-radius: 4px ;
    -o-border-radius: 4px ;
}
#wrapper{
    height: 100%;
    padding-top:25px;
}
.navbar-default{
    /*background-color: #5BAC29;
    border-color: #5BAC29;*/
    box-shadow: 0px 0px 2px 1px #666;
}
.navbar-default .navbar-brand{
    color:#5BAC29;
    font-size:22px;
}
.navbar-default .navbar-brand:focus, .navbar-default .navbar-brand:hover, .navbar-default .navbar-brand:active, .navbar-default .navbar-brand:visited{
    color: #5BAC29;
    background-color:inherit;
    text-decoration:none;
}
.navbar-brand a, .navbar-brand a:hover, .navbar-brand a:focus, .navbar-brand a:active{
    color: #fff;
    background-color:inherit;
    text-decoration:none;
}
/** Login **/
header.login{
    display: table;
    position: relative;
    width: 100%;
    height: 100%;
    /*background: url(../images/login-bg.jpg) no-repeat center center scroll;*/
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
}
header .header-content {
    display: table-cell;
    vertical-align: middle;
}
.login-panel-title{
    font-size: 20px;
    text-align: center;
    margin-bottom: 15px;
}
.login-panel-title a, .login-panel-title a:hover, .login-panel-title a:focus, .login-panel-title a:active{
    text-decoration:none;
    color:#5BAC29;
    cursor:pointer;
}
/** Administration **/
.input-error{
    background: #ffd8d8;
}
.help-error{
    display:none;
    color: #e41111;
    margin-left: 5px;
    font-size: 12px;
    font-weight: normal;
}
.cstm-label{
    background:#5BAC29;
}
.access-panel{
    max-width: 350px;
    margin: 0 auto;
    padding: 15px;
    background: #fff;
    border-radius: 4px;
    border: 1px solid #ddd;
    box-shadow: 2px 2px 1px 1px #848484d9;
}
.common-access-panel{
    max-width: 350px;
    margin: 0 auto;
    padding: 15px;
}
.cstm-btn.shadow{
    box-shadow: 2px 2px 1px 0px #777;
}
.navbar-brand.logo{
    width: 345px;
    padding: 5px 15px;
}
.vehicle-title{
    font-size: 20px;
    text-align: center;
    color: #fff;
    background: #5BAC29;
    padding: 8px;
    margin:0px;
    border-radius: 3px 3px 0px 0px;
}
/*.nounderline, .nounderline:hover, .nounderline:focus, nounderline:active{
    text-decoration:none;
}*/
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

#comments{
    width: 100%;
    box-sizing: border-box;
}

.btn-intervention{
    background-color: orange;
}

.btn-intervention:hover{
    background-color: rgb(230, 150, 1);
}

.btn-averia{
    background-color: rgb(255, 0, 0);
    color:#fff;
}

.btn-averia:hover{
    background-color: rgb(228, 1, 1);
    color:#fff;
}

.averia.notificada {
    background-color: #ffc000;
}

@keyframes blink {
    0% { background-color: #ffc000; }
    50% { background-color: transparent; }
    100% { background-color: #ffc000; }
}

.averia.blink {
    animation: blink 1s infinite;
}

.btn-refresh{
    background-color: rgb(2, 224, 169);
    color:#fff;
}

.btn-refresh:hover{
    background-color: rgb(2, 177, 133);
    color:#fff;
}

.btn-copy{
    background-color: rgb(202, 162, 255);
    color:#fff;
    
}

.btn-copy:hover{
    background-color: rgb(120, 86, 136);
    color:#fff;
}
.open-intervention-form {
    cursor: pointer;
}

.btn-more-actions {
    background-color: #d1d0d0;
}

.btn-more-actions.open {
    border: 1px solid cornflowerblue;
    
}

.btn-more-actions:hover {
    background-color: #b8b8b8;
}

.arrows{
    color: cornflowerblue
}

.active-arrow{
    background-color: #8d8d8d;
    color:#fff;
}

.active-arrow:focus{
    background-color: #8d8d8d;
    color:#fff;
}

.active-arrow:hover{
    background-color: #b3b3b3;
    color:#fff;
}

.open-intervention-form.open i{
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
}

.user-actions button{
    width:100%;
    padding-top: 15px;
    padding-bottom: 15px;
    text-transform: uppercase;
    color:#fff;
}

.user-actions button:hover{
    color:#fff;
}

.user-actions button:active{
    color:#fff;
}

.user-actions button:focus{
    color:#fff;
}


@media only screen and (max-width: 405px) {
    .navbar-brand.logo{
        width: 250px;
        padding: 11px 15px;
    }
}

.checkbox-right {
    text-align: right;
    margin-bottom: -15px;
}

.checkbox-right label{
    font-weight: bold;
}

tr.selected{
    background-color: bisque !important;
}

tr.executed {
    background-color: lightcoral !important;
}
tr.bloqued {
    background-color: lightgray !important;
}

@media (min-width: 992px){
    .modal-lg {
        width: 67%;
    }
}



#modal-intervention-vehicle .list-pattern-a, #modal-edit-intervention .list-pattern-a {
  background-color:#f2f2f2;
}
#modal-intervention-vehicle .list-pattern-b, #modal-edit-intervention .list-pattern-b{
    background-color:#fbfbfb;
}

#modal-intervention-vehicle .pattern-ok, #modal-edit-intervention .pattern-ok{
      background-color:lightgreen !important;
}

#modal-intervention-vehicle .pattern-code, #modal-edit-intervention .pattern-code{
    background-color:lightskyblue !important;
}

#modal-intervention-vehicle .pattern-na, #modal-edit-intervention .pattern-na{
    background-color:lightcyan !important;
}

.right{
    float: right;
}

@media (min-width: 992px){
    .col-md-co2{
        width: 17.666667%;
    }
}

thead input {
    width: 100% !important;
    font-size: unset !important;
}


.content-input input,
.content-select select{
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.content-input input{
    visibility: hidden;
    position: absolute;
    right: 0;
}
.content-input{
    position: relative;
    margin-bottom: 30px;
    padding:5px 0 5px 60px; /* Damos un padding de 60px para posicionar
        el elemento <i> en este espacio*/
    display: block;
}

/* Estas reglas se aplicarán a todos las elementos i
después de cualquier input*/
.content-input input + span{
    background: #f0f0f0;
    border:2px solid rgba(0,0,0,0.2);
    position: absolute;
    left: 0;
    top: 0;
}

/* Estas reglas se aplicarán a todos los i despues
de un input de tipo checkbox*/
.content-input input[type=checkbox ] + span{
    width: 52px;
    height: 30px;
    border-radius: 15px;
    cursor: pointer;
}
/*
Creamos el círculo que aparece encima de los checkbox
con la etqieta before. Importante aunque no haya contenido
debemos poner definir este valor.
*/
.content-input input[type=checkbox] + span:before{
    content: ''; /* No hay contenido */
    width: 26px;
    height: 26px;
    background: #fff;
    border-radius: 50%;
    position: absolute;
    z-index: 1;
    left: 0px;
    top: 0px;
    -webkit-box-shadow: 3px 0 3px 0 rgba(0,0,0,0.2);
    box-shadow: 3px 0 3px 0 rgba(0,0,0,0.2);
}


.content-input input[type=checkbox]:checked + span:before{
    left: 22px;
    -webkit-box-shadow: -3px 0 3px 0 rgba(0,0,0,0.2);
    box-shadow: 3px 0 -3px 0 rgba(0,0,0,0.2);
}

.content-input input[type=checkbox]:checked + span{
    background: #2AC176;
}
.content-input input[type=checkbox] + span:after{
    content: 'ON';
    position: absolute;
    font-size: 10px;
    color: rgba(255,255,255,0.6);
    top: 8px;
    left: 4px;
    opacity: 0 /* Ocultamos este elemento */;
    transition: all 0.25s ease 0.25s;
}

/* Cuando esté checkeado cambiamos la opacidad a 1 y lo mostramos */
.content-input input[type=checkbox]:checked + span:after{
    opacity: 1;
}

.vertical-align-center{
    vertical-align: middle !important;
}

.hidden{
    display: none;
}

#calendario_intervenciones .table>tbody>tr>td,
#calendario_intervenciones .table>tbody>tr>th,
#calendario_intervenciones .table>tfoot>tr>td,
#calendario_intervenciones .table>tfoot>tr>th,
#calendario_intervenciones .table>thead>tr>td,
#calendario_intervenciones .table>thead>tr>th{
    padding: 8px !important;
}
.btn-warning{
    color: #FFFFFF;
    background-color: #f0ad4e;
    border-color: #eea236;
}

.btn-warning:hover {
    color: #fff;
    background-color: #ec971f;
    border-color: #d58512;
}

.btn-warning.focus, .btn-warning:focus {
    color: #fff;
    background-color: #ec971f;
    border-color: #985f0d;
}

.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

.btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.btn-danger {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}

label{
    font-weight: 700;
}
.navbar.navbar-light.fixed-top{
    box-shadow: 0px 0px 2px 1px #666;
}
.navbar-nav .nav-link{
    padding: 25px 9px !important;
}

.navbar-nav .nav-link.active{
    background-color: #e7e7e7;
}
.page-item.active .page-link{
    background-color: #337ab7;
    border-color: #337ab7;
}
.page-link{
    color: #337ab7;
}

#menu-config a{
    color: #333;
}

.dropdown-item.active, .dropdown-item:active{
    background-color: #e9ecef;
    color: #333;
}

.dropdown-menu{
    font-size: 14px;
}

.pointer{
    cursor: pointer;
}

div.table-responsive>div.dataTables_wrapper>div.row {
    margin: 4px;
}

.select-informe input[type="radio"],
input[name="aeropuertoNotificacion"] {
    position: relative;
    top: -5px;
}

.cstm-image-btn {
    background-repeat: no-repeat;
    background-size: cover;
    height: 70px;
    width: 70px;
    border-radius: 4px;
    border: none;
}

.airports-list-wrap > div {
    height: 378px;
    width: 160px;
}

.airports-list-wrap p {
    text-align: center;
    font-weight: bold;
}

.airport-list{
    border: none;
    outline: none;
    overflow: auto;
    height: calc(376px - 0.75rem);
    width: calc(160px - 1.5rem);
}

.interventions-list{
    border: none;
    outline: none;
    overflow: auto;
    height: calc(376px - 0.75rem);
}


.airport-list option {
    margin: 4px 0;
    padding: 4px 0;
    text-align: center;
}

.airport-list option:checked {
    background: none;
}

.airports-list-wrap div:has(.airport-list:disabled),
.airport-list:disabled {
    background-color: #EAE9E9;
}

.full-width-intervention-selected {
    width: 40%;
}

.backgroundCalendarInterventionMore30 {
    background-color: #ece7e7;
}